Package org.codehaus.janino

# Class Java.NewInitializedArray

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.Atom
org.codehaus.janino.Java.Rvalue
org.codehaus.janino.Java.NewInitializedArray

All Implemented Interfaces:
  `Java.ArrayInitializerOrRvalue`, `Java.ElementValue`, `Java.Locatable`

Enclosing class:
  `Java`

public static final class Java.NewInitializedArray extends Java.Rvalue
Representation of a JLS7 15.10 "array creation expression".

## Field Summary

Fields
Modifier and Type
Field
Description
`final IClass`
`arrayIClass`
The resolved `arrayType`.
`final Java.ArrayInitializer`
`arrayInitializer`
The (mandatory) initializer for the array.
`final Java.ArrayType`
`arrayType`
The array type to be instantiated.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`NewInitializedArray(Location location, Java.ArrayType arrayType, Java.ArrayInitializer arrayInitializer)`

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.RvalueVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.RvalueVisitor` for the concrete `Java.Rvalue` type.
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.Rvalue

`accept, accept, accept, getEnclosingScope, getEnclosingScopeOrNull, setEnclosingScope, toRvalue`

### Methods inherited from class org.codehaus.janino.Java.Atom

`toLvalue, toLvalueOrCompileException, toRvalueOrCompileException, toType, toTypeOrCompileException`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

## Field Details

### arrayType

@Nullable public final Java.ArrayType arrayType
The array type to be instantiated.

### arrayInitializer

public final Java.ArrayInitializer arrayInitializer
The (mandatory) initializer for the array.

### arrayIClass

@Nullable public final IClass arrayIClass
The resolved `arrayType`.

## Constructor Details

### NewInitializedArray

public NewInitializedArray(Location location, @Nullable Java.ArrayType arrayType, Java.ArrayInitializer arrayInitializer)

## Method Details

### toString

public String toString()

Specified by:
  `toString` in class `Java.Atom`

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.RvalueVisitor<R,EX> visitor) throws EX
Description copied from class: `Java.Rvalue`
Invokes the "`visit...()`" method of `Visitor.RvalueVisitor` for the concrete `Java.Rvalue` type.

Specified by:
  `accept` in class `Java.Rvalue`
Throws:
  `EX`